www.cendio.com
Bug 4627 - remove novell edirectory integration
: remove novell edirectory integration
Status: CLOSED FIXED
: ThinLinc
| Novell integration (deprecated)
: trunk
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
: 1948
  Show dependency treegraph
 
Reported: 2013-05-02 17:14 by
Modified: 2018-05-18 14:47 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-05-02 17:14:30
We don't maintain it these days and don't have any real interest from customers
anymore. We should consider removing this functionality.
------- Comment #1 From cendio 2015-08-18 08:37:22 -------
# tl-setup

 - The python LDAP module needs to be cleaned up. Step should exist due it is
used by tlmisc/scripts/tl-ldap-certalias but informational texts need to be
updated.


# tlwebadm

 - The Novell Configurator should completely be removed.
 - Cleanup of related tlwebadm documentation in TAG 


# tlmisc

 - tl-certtool have special code / argument to produce Novell compliant subject
line.

 - tl-sendkeys looks like a program written for SSO with GroupWise client to
inject password into correct password fields, should probably be removed.


 - Following files are candidates to be removed:

  tl-get-novelluser
  tl-mount-ncp
  tl-mount-ncp.conf
  tl-nds-check-expired
  tl-nds-check-expired.hconf
  tl-nds-dncontains
  tl-nds.hconf
  tl-nds-memberof-container
  tl-nds-mountpath
  tl-nds-mountpath.hconf
  tl-nds-posixgroup
  tl-nds-posixuser
  tl-nds-repairuids
  tl-nds-userparam
  tl-nwlogin
  tl-nwlogout
  tl-set-novelluser.sh
  tl-umount-all-ncp

 - Cleanup of TAG for related information to parts removed in tlmisc.
------- Comment #2 From cendio 2015-08-18 08:51:25 -------
There is a tl_nds_common python module in tlmisc which is broadly used in the
product. however it seems that it is only used within the novell components to
be removed.

$ grep -ir tl_nds_common * | awk -F: '{print $1}' | sort | uniq

  tladm/modules/thinlinc/tlwebadm/edirectory.py
  tlmisc/Makefile
  tlmisc/modules/thinlinc/tl_nds_common.py
  tlmisc/scripts/tl-get-novelluser
  tlmisc/scripts/tl-mount-ncp
  tlmisc/scripts/tl-nds-check-expired
  tlmisc/scripts/tl-nds-dncontains
  tlmisc/scripts/tl-nds-memberof-container
  tlmisc/scripts/tl-nds-mountpath
  tlmisc/scripts/tl-nds-posixgroup
  tlmisc/scripts/tl-nds-posixuser
  tlmisc/scripts/tl-nds-repairuids
  tlmisc/scripts/tl-nds-userparam
  tlmisc/scripts/tl-nwlogin
  tlmisc/scripts/tl-nwlogout
  autotests/tlmisc/etc/thinlinc.hconf
  autotests/tlmisc/test_tl_nds_common.py
------- Comment #3 From cendio 2015-08-18 12:11:22 -------
> # tl-setup
> 
>  - The python LDAP module needs to be cleaned up. Step should exist due it is
> used by tlmisc/scripts/tl-ldap-certalias but informational texts need to be
> updated.
>

Texts are generalized in commit r30679.
------- Comment #4 From cendio 2015-08-18 13:11:55 -------
(In reply to comment #1)
> 
> # tlwebadm
> 
>  - The Novell Configurator should completely be removed.

eDirectory module removed in commit 30680.
------- Comment #5 From cendio 2015-08-18 13:51:22 -------
(In reply to comment #4)
> (In reply to comment #1)
> > 
> > # tlwebadm
> > 
> >  - The Novell Configurator should completely be removed.
> 
> eDirectory module removed in commit 30680.

Documentation removed in commit 30681.

However there is a whole chapter LDAP-auth-edir which should be removed, this
documentation refers to following tools which is a part of tlnc (Novell
Configurator):

  tl-nds-posixuser
  tl-nds-posixgroup
  tl-nds-check-expired
  tl-set-novelluser.sh calls tl-get-novelluser

tl-set-novelluser sets a environment variable TLNOVELLUSER with username and
context which tl-run-rdesktop is using. cleanup this part i tl-run-rdesktop
------- Comment #6 From cendio 2015-08-18 16:40:20 -------
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #1)
> > > 
> > > # tlwebadm
> > > 
> > >  - The Novell Configurator should completely be removed.
> > 
> > eDirectory module removed in commit 30680.
> 
> Documentation removed in commit 30681.
> 
> However there is a whole chapter LDAP-auth-edir which should be removed, this
> documentation refers to following tools which is a part of tlnc (Novell
> Configurator):
> 
>   tl-nds-posixuser
>   tl-nds-posixgroup
>   tl-nds-check-expired

The tools are removed in commit 30682.
------- Comment #7 From cendio 2015-08-20 12:29:11 -------
(In reply to comment #5)
> 
> However there is a whole chapter LDAP-auth-edir which should be removed, this
> documentation refers to following tools which is a part of tlnc (Novell
> Configurator):
> 
Documentation removed in commit 30685.
------- Comment #8 From cendio 2015-08-20 12:45:32 -------
(In reply to comment #2)
> 
>   tlmisc/scripts/tl-get-novelluser
>   tlmisc/scripts/tl-mount-ncp
>   tlmisc/scripts/tl-nds-dncontains
>   tlmisc/scripts/tl-nds-memberof-container
>   tlmisc/scripts/tl-nds-mountpath
>   tlmisc/scripts/tl-nds-repairuids
>   tlmisc/scripts/tl-nds-userparam
>   tlmisc/scripts/tl-nwlogin
>   tlmisc/scripts/tl-nwlogout

The above tools uses tl_nds_common and is removed to make it possible to ditch
tl_nds_common module.

Removed in commit 30686.
------- Comment #9 From cendio 2015-08-20 12:57:22 -------
(In reply to comment #8)
>
> Documentation removed in commit 30685.
>

Complementary cleanup of documentation in commit 30687.
------- Comment #10 From cendio 2015-08-20 13:07:14 -------
(In reply to comment #2)
> There is a tl_nds_common python module in tlmisc which is broadly used in the
> product. however it seems that it is only used within the novell components to
> be removed.

> 
>   tlmisc/Makefile
>   tlmisc/modules/thinlinc/tl_nds_common.py
>   autotests/tlmisc/etc/thinlinc.hconf
>   autotests/tlmisc/test_tl_nds_common.py

Remove of tl_nds_common python module in commit 30688.
------- Comment #11 From cendio 2015-08-20 13:11:27 -------
(In reply to comment #10)

> > 
> >   tlmisc/Makefile
> >   tlmisc/modules/thinlinc/tl_nds_common.py
> >   autotests/tlmisc/etc/thinlinc.hconf
> >   autotests/tlmisc/test_tl_nds_common.py
> 
> Remove of tl_nds_common python module in commit 30688.

Commit 30689 removes autotest of installed files for tl-nds.hconf
------- Comment #12 From cendio 2015-08-20 13:30:47 -------
(In reply to comment #1)
>  - tl-certtool have special code / argument to produce Novell compliant subject
> line.
> 

tl-certtol is used by tl-ldap-certalias to get certificate information out of a
cert. The special novellSubjecname code is used when using 
novell_certificate_subjectname matching.

tl-ldap-certalias.hconf:

  # In the case of certificates being stored separate from the user
  # objects, how should tl-ldap-certalias match certificates to users?
  # Choices are sameobject, novell_certificate_subjectname
  certificate_user_match=sameobject


If we remove this, tl-ldap-certalias will not work with a eDirectory
environment. So let's leave it as is.
------- Comment #13 From cendio 2015-08-20 13:53:22 -------
Need to close bugs (WONT_FIX) in bugzilla related to the removed of
integration.
------- Comment #14 From cendio 2015-08-20 14:53:51 -------
(In reply to comment #13)
> Need to close bugs (WONT_FIX) in bugzilla related to the removed of
> integration.

Cleaned up a few bugs. Closing now.
------- Comment #15 From cendio 2015-08-21 14:12:29 -------
(In reply to comment #14)
> (In reply to comment #13)
> > Need to close bugs (WONT_FIX) in bugzilla related to the removed of
> > integration.
> 
> Cleaned up a few bugs. Closing now.

Should be CLOSED and put on 4.5.0.
------- Comment #16 From cendio 2015-08-21 14:31:57 -------
(In reply to comment #5)
> tl-set-novelluser sets a environment variable TLNOVELLUSER with username and
> context which tl-run-rdesktop is using. cleanup this part i tl-run-rdesktop

tl-run-rdesktop was never adjusted.
------- Comment #17 From cendio 2015-08-21 14:37:41 -------
tlmisc/scripts/tl-umount-all-ncp is still present.
------- Comment #18 From cendio 2015-08-21 14:57:24 -------
(In reply to comment #17)
> tlmisc/scripts/tl-umount-all-ncp is still present.

Fixed in commit 30692.
------- Comment #19 From cendio 2015-08-21 14:57:40 -------
(In reply to comment #15)
> (In reply to comment #14)
> > (In reply to comment #13)
> > > Need to close bugs (WONT_FIX) in bugzilla related to the removed of
> > > integration.
> > 
> > Cleaned up a few bugs. Closing now.
> 
> Should be CLOSED and put on 4.5.0.

Fixed.
------- Comment #20 From cendio 2015-08-21 15:07:34 -------
(In reply to comment #16)
> (In reply to comment #5)
> > tl-set-novelluser sets a environment variable TLNOVELLUSER with username and
> > context which tl-run-rdesktop is using. cleanup this part i tl-run-rdesktop
> 
> tl-run-rdesktop was never adjusted.

Fixed in commit 30693.
------- Comment #21 From cendio 2015-08-21 15:15:53 -------
ThinLinc whitepaper mentions Novell Configurator.
------- Comment #22 From cendio 2015-08-21 15:19:43 -------
(In reply to comment #21)
> ThinLinc whitepaper mentions Novell Configurator.

Fixed in commit 30694.
------- Comment #23 From cendio 2015-08-21 15:54:58 -------
Everything looks good now.